OpenVDB 11.0.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
GetState< T > Struct Template Reference

Implements Tree::isActive(Coord) More...

`#include <nanovdb/util/GridBuilder.h>`

## Static Public Member Functions
static bool | get (const BuildRoot< T > &)
static bool | get (const BuildTile< T > &tile)
static bool | get (const BuildUpper< T > &node, uint32_t n)
static bool | get (const BuildLower< T > &node, uint32_t n)
static bool | get (const BuildLeaf< T > &leaf, uint32_t n)

## Detailed Description

template<typename T>
struct nanovdb::build::GetState< T >

Implements Tree::isActive(Coord)

Template Parameters

  T | Build type of the grid being called

## Member Function Documentation

## ◆ get() [1/5]

template<typename T >

static bool get | ( | const BuildLeaf< T > & | leaf,
|  | uint32_t | n
| ) |  |
| inline static

## ◆ get() [2/5]

template<typename T >

static bool get | ( | const BuildLower< T > & | node,
|  | uint32_t | n
| ) |  |
| inline static

## ◆ get() [3/5]

template<typename T >

static bool get | ( | const BuildRoot< T > & |  | ) |
| inline static

## ◆ get() [4/5]

template<typename T >

static bool get | ( | const BuildTile< T > & | tile | ) |
| inline static

## ◆ get() [5/5]

template<typename T >

static bool get | ( | const BuildUpper< T > & | node,
|  | uint32_t | n
| ) |  |
| inline static